const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const finishes = sequelize.define(
    'finishes',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name_ar: {
        type: DataTypes.TEXT,
      
      

      },

description_ar: {
        type: DataTypes.TEXT,
      
      

      },

is_active: {
        type: DataTypes.BOOLEAN,
      
        allowNull: false,
        defaultValue: false,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  finishes.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity






























//end loop





    db.finishes.hasMany(db.file, {
      as: 'example_images',
      foreignKey: 'belongsToId',
      constraints: false,
      scope: {
        belongsTo: db.finishes.getTableName(),
        belongsToColumn: 'example_images',
      },
    });


    db.finishes.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.finishes.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return finishes;
};


